<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class ListingSeed extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('listings')->insert([
            [
                'id' => 1,
                'user_id' => 1,
                'business_name' => 'Dell Computer Service Center',
                'url' => 'dell-computer-service-center',
                'image' => 'iHdi9ALkrDzlWIxAIcPTztoWEkxClxBvXLSFYR1u.jpg',
                'description' => 'One of the most popular laptop brands in the world is Dell. Their laptop is the work companion for many users. Even some consider it to be the indispensable one',
                'location_id' => 3,
                'email' => 'info@manidell.com',
                'mobile' => '989 878 7878',
                'website' => 'https://manidell.com',
                'whatsapp' => '987 987 8987',
                'address' => 'Loyall Grden, Udumalpet, Tirupur, 642112',
                'rating' => 3,
                'featured' => 1,
            ],
            [
                'id' => 2,
                'user_id' => 1,
                'business_name' => 'Dr Suresh Opticals and Health Care',
                'url' => 'dr-suresh-opticals-and-health-care',
                'image' => 'uOMs7DhLtnmsezyiBE6pcsaRG1PJptYk8SJ5jjOu.jpg',
                'description' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent ac gravida dolor. Morbi non congue eros. Aliquam ultricies nibh risus. Maecenas commodo ornare dolor eu venenatis.',
                'location_id' => 4,
                'email' => 'sureshoptical@gmail.com',
                'mobile' => '98787676',
                'website' => 'https://sueshoptical.org',
                'whatsapp' => '987878789',
                'address' => 'Ramar Colony, Winorginay, South Colony New Delhi',
                'rating' => 4,
                'featured' => 0,
            ],
            [
                'id' => 3,
                'user_id' => 1,
                'business_name' => 'Spanish Hyper Market Neelakada',
                'url' => 'spanish-hyper-market-neelakada',
                'image' => 'XPkkoxBObvRTmBPKu0OOllZreQm3CezzsCCt6hfw.jpg',
                'description' => 'Morbi gravida justo at neque suscipit ultricies. Vestibulum elementum ac ex vitae porttitor. Donec ligula leo',
                'location_id' => 5,
                'email' => 'neelakadamarket@exp.com',
                'mobile' => '878787878',
                'website' => 'https://neelakadamarket.com',
                'whatsapp' => '9887 878 788',
                'address' => 'Loyall Grden, Udumalpet, Tirupur, 642112',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 4,
                'user_id' => 2,
                'business_name' => 'Orange Super Market Manali',
                'url' => 'orange-super-market-manali',
                'image' => 'QEKnmLupv3zeh1TsxuIcIcqA4LtnxvuzQAZrOV10.jpg',
                'description' => 'Morbi gravida justo at neque suscipit ultricies. Vestibulum elementum ac ex vitae porttitor',
                'location_id' => 9,
                'email' => 'orangesupermarket@etail.com',
                'mobile' => '987676787',
                'website' => 'https://orangesupermarket.com',
                'whatsapp' => '987 776 7876',
                'address' => 'Ramar Colony, Winorginay, South Colony New Delhi',
                'rating' => 3.5,
                'featured' => 1,
            ],
            [
                'id' => 5,
                'user_id' => 1,
                'business_name' => 'Eden Furniture Mart',
                'url' => 'eden-furniture-mart',
                'image' => 'VIZvPBJ5LYijMnFzrQizwyuKB8uAXA4oWkamWilH.jpg',
                'description' => 'Sed quis metus scelerisque, porta turpis non, tristique diam. Integer vitae lorem lectus.',
                'location_id' => 4,
                'email' => 'edenfurniture@gmail.com',
                'mobile' => '8767 6767 676',
                'website' => 'https://edenfurniture.com',
                'whatsapp' => '877 676 67656',
                'address' => 'Ramar Colony, Winorginay, South Colony New Delhi',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 6,
                'user_id' => 2,
                'business_name' => 'Modern Italian Gardern Restuarent',
                'url' => 'modern-italian-gardern-restuarent',
                'image' => '23R3YaXLonA2PuFH7dDUZUKwFCY8j2BhuCINoQDp.jpg',
                'description' => 'Maecenas massa risus, pellentesque vel suscipit et, pulvinar ut nibh. Proin sit amet nunc porta, interdum erat',
                'location_id' => 8,
                'email' => 'italianrestuarent@gmail.com',
                'mobile' => '987 8787 8787',
                'website' => 'https://italianrestuarent.co',
                'whatsapp' => '987 878 7878 78',
                'address' => 'Loyall Grden, Udumalpet, Tirupur, 642112',
                'rating' => 5,
                'featured' => 0,
            ],
            [
                'id' => 7,
                'user_id' => 1,
                'business_name' => 'Kovail Palamudir Solai',
                'url' => 'kovail-palamudir-solai',
                'image' => 'lK5JMzvGpgF8LhboQFOnNpYbwaM2xl8Dw0J8Gr7B.jpg',
                'description' => 'Maecenas mattis lorem nunc, a vulputate sapien egestas quis. Maecenas massa risus, pellentesque vel suscipit et',
                'location_id' => 6,
                'email' => 'kovaipalamudir@gmail.com',
                'mobile' => '34 589 89098',
                'website' => 'https://kovaipalamudir.in',
                'whatsapp' => '34 589 89098',
                'address' => '8638 Amarica Stranfod Mailbon Star',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 8,
                'user_id' => 1,
                'business_name' => 'Sakthi Computer Sales and Service',
                'url' => 'sakthi-computer-sales-and-service',
                'image' => 'oWtqGpDaR4i4d2skkbLw14UfGBr4SLDl4Ip0tSgm.jpg',
                'description' => 'Maecenas mattis lorem nunc, a vulputate sapien egestas quis. Maecenas massa risus,',
                'location_id' => 9,
                'email' => 'shakticomputer@example.com',
                'mobile' => '878 786 7676',
                'website' => 'https://shakticomputer.com',
                'whatsapp' => '767 676 7676',
                'address' => '8638 Amarica Stranfod Mailbon Star',
                'rating' => 3,
                'featured' => 0,
            ],
            [
                'id' => 9,
                'user_id' => 2,
                'business_name' => 'Dr Jhon Opticals and Eye Care',
                'url' => 'dr-jhon-opticals-and-eye-care',
                'image' => 'bvsSGPMxjdKh8o669OjBHuVJH9a2qFQHKjb7sUsl.jpg',
                'description' => 'Morbi in leo in ipsum pellentesque congue ac vel ante. Phasellus tristique dui et eros fringilla efficitur',
                'location_id' => 3,
                'email' => 'jhonopticals@gmail.com',
                'mobile' => '8787 8787 78',
                'website' => 'https://jhonopticalshcare.com',
                'whatsapp' => '987 898 7878',
                'address' => 'Rosestreet, Motycarony, Torranto',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 10,
                'user_id' => 2,
                'business_name' => 'Sam Sam Restuarent',
                'url' => 'sam-sam-restuarent',
                'image' => 'ECHTZ4aCv1eeMiii7yZpeNgoEnWre7KEeZFkBPyn.jpg',
                'description' => 'Maecenas massa risus, pellentesque vel suscipit et, pulvinar ut nibh. Proin sit amet nunc porta, interdum erat eu, laoreet lectus',
                'location_id' => 1,
                'email' => 'samsamsamsamrest@ssm.com',
                'mobile' => '435 4545 454',
                'website' => 'https://samsamrestssm.com',
                'whatsapp' => '453 335 343 34',
                'address' => 'Rosestreet, Motycarony, Torranto',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 11,
                'user_id' => 1,
                'business_name' => 'David Furniture Land',
                'url' => 'david-furniture-land',
                'image' => 'ZlQBqopucYTlm6odPferuZdxOSWae1HFqp0BIKIR.jpg',
                'description' => 'tiam eget mauris vitae est venenatis fermentum sed ac lacus. Praesent tempor nibh at porttitor bibendum.',
                'location_id' => 4,
                'email' => 'davidfunrniture@ssm.com',
                'mobile' => '2342 3443 34',
                'website' => 'https://davidfunrniture.com',
                'whatsapp' => '343 3434 3434',
                'address' => '24/6 AVK Avenue, Loks Land Palaplam, Trampt',
                'rating' => 3.75,
                'featured' => 1,
            ],
            [
                'id' => 12,
                'user_id' => 1,
                'business_name' => 'Vintage Family Restuarent',
                'url' => 'vintage-family-restuarent',
                'image' => 'KhxfzwuBfIBoWsZ1005sUnX1D2VgsMSbVqn6UQRL.jpg',
                'description' => 'Morbi luctus lacus suscipit malesuada consequat. Suspendisse tempor dolor diam.',
                'location_id' => 4,
                'email' => 'vintagerestuarent@gmail.comm',
                'mobile' => '9878767876',
                'website' => 'https://vintagerestuarent.co.in',
                'whatsapp' => '78787898987',
                'address' => '8638 Amarica Stranfod Mailbon Star',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 13,
                'user_id' => 2,
                'business_name' => 'Oriantal Computers',
                'url' => 'oriantal-computers',
                'image' => 'Tvzw0josjFx8WGyqIoGqXE6YWrYrZ3EjIINRLAdO.jpg',
                'description' => 'Morbi luctus lacus suscipit malesuada consequat. Suspendisse tempor dolor diam.',
                'location_id' => 4,
                'email' => 'oriantalcomputer@gmail.com',
                'mobile' => '8789878787',
                'website' => 'https://oriantal@gmail.com',
                'whatsapp' => '8787878787',
                'address' => '8638 Amarica Stranfod Mailbon Star',
                'rating' => NULL,
                'featured' => 0,
            ],
            [
                'id' => 14,
                'user_id' => 1,
                'business_name' => 'Daily Fresh Kovai',
                'url' => 'daily-fresh-kovai',
                'image' => 'qKGXj0yePaau5Kkf9KROvKc9MXysStnusERXsI7m.jpg',
                'description' => 'Morbi luctus lacus suscipit malesuada consequat. Suspendisse tempor dolor diam.',
                'location_id' => 7,
                'email' => 'dailyfresh@hotmail.com',
                'mobile' => '343534342432',
                'website' => 'https://dailyfresh.co.in',
                'whatsapp' => '98989898898',
                'address' => 'Kanoory, Racelnager, Kanniyakumari',
                'rating' => 3,
                'featured' => 0,
            ],
        ]);
    }
}
